# dom_import_simplexml

(PHP 5, PHP 7)

dom_import_simplexml — Gets a DOMElement object from a SimpleXMLElement object

### Description

dom_import_simplexml ( SimpleXMLElement `$node` ) : DOMElement

This function takes the node `node` of class SimpleXML and makes it into a DOMElement node. This new object can then be used as a native DOMElement node.

### Parameters

`node`

  The SimpleXMLElement node.

### Return Values

The DOMElement node added or `FALSE` if any errors occur.

### Examples

Example #1 Import SimpleXML into DOM with dom_import_simplexml()

`<?php
$sxe = simplexml_load_string('<books><book><title>blah</title></book></books>');
if ($sxe === false) {
echo 'Error while parsing the document';
exit;
}
$dom_sxe = dom_import_simplexml($sxe);
if (!$dom_sxe) {
echo 'Error while converting XML';
exit;
}
$dom = new DOMDocument('1.0');
$dom_sxe = $dom->importNode($dom_sxe, true);
$dom_sxe = $dom->appendChild($dom_sxe);
echo $dom->saveXML();
?>`

### See Also

- simplexml_import_dom() - Get a SimpleXMLElement object from a DOM node